Delete Webhook
Delete a webhook by ID. All associated event subscriptions will be removed.
DELETE
/webhooks/{webhook_id}Resend Compatibility: Compatible
Requires a full_access API key.
Path Parameters
webhook_idstringrequiredThe ID of the webhook to delete.
Response Fields
objectstringAlways "webhook".
idstringThe webhook ID.
deletedbooleanAlways true.
curl -X DELETE 'https://api.postflare.app/webhooks/wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890' \
-H 'Authorization: Bearer re_xxxxxxxxx'const response = await fetch(
'https://api.postflare.app/webhooks/wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer re_xxxxxxxxx',
},
}
);
const data = await response.json();Response
{
"object": "webhook",
"id": "wh_a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"deleted": true
}